summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMuflone2018-02-04 18:57:26 +0100
committerMuflone2018-02-04 18:57:26 +0100
commit5a6bd3d9b8e9847631f35e331775f5b043f8be61 (patch)
tree580bb417bd5576d3051a81ab5b01704dbcc51123
parent877d11c2e0a501bb0bf5eeaeb01e4e104082dffa (diff)
downloadaur-5a6bd3d9b8e9847631f35e331775f5b043f8be61.tar.gz
Updated package foxitreader 2.4.1.0609-10
Added missing dependencies
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD6
2 files changed, 12 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 20de8eec155..a393adc7c04 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Sun Feb 4 13:33:08 UTC 2018
+# Sun Feb 4 17:36:52 UTC 2018
pkgbase = foxitreader
pkgdesc = A fast, secure and complete PDF viewer
pkgver = 2.4.1.0609
- pkgrel = 9
+ pkgrel = 10
url = https://www.foxitsoftware.com/products/pdf-reader/
arch = x86_64
license = custom:EULA
@@ -14,6 +14,12 @@ pkgbase = foxitreader
depends = libgl
depends = libxrender
depends = gstreamer0.10-base
+ depends = libxi
+ depends = libsm
+ depends = fontconfig
+ depends = dbus
+ depends = openssl-1.0
+ optdepends = gtk2: use GTK+ dialogs under GTK+ based desktop environments
source = http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/2.4/en_us/FoxitReader2.4.1.0609_Server_x64_enu_Setup.run.tar.gz
source = https://www.foxitsoftware.com/products/pdf-reader/eula.html
source = foxitreader.patch
diff --git a/PKGBUILD b/PKGBUILD
index 370277fa4c3..5a30067eb04 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,13 +5,15 @@
pkgname=foxitreader
pkgver=2.4.1.0609
_foxitrevision=r08f07f8
-pkgrel=9
+pkgrel=10
pkgdesc="A fast, secure and complete PDF viewer"
arch=('x86_64')
url="https://www.foxitsoftware.com/products/pdf-reader/"
license=('custom:EULA')
-depends=('libsecret' 'libxslt' 'libxcomposite' 'libgl' 'libxrender' 'gstreamer0.10-base')
+depends=('libsecret' 'libxslt' 'libxcomposite' 'libgl' 'libxrender' 'gstreamer0.10-base'
+ 'libxi' 'libsm' 'fontconfig' 'dbus' 'openssl-1.0')
makedepends=('p7zip')
+optdepends=('gtk2: use GTK+ dialogs under GTK+ based desktop environments')
source=("http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/${pkgver%.*.*}/en_us/FoxitReader${pkgver}_Server_x64_enu_Setup.run.tar.gz"
"https://www.foxitsoftware.com/products/pdf-reader/eula.html"
"${pkgname}.patch"